groovy.lang

## Interface GroovyResourceLoader

    public interface GroovyResourceLoader

Allows frameworks that integrate with Groovy to determine how Groovy files are resolved.

Author:
  Steven Devijver

### Method Summary

All Methods Instance Methods Abstract Methods
`java.net.URL` `loadGroovySource(java.lang.String filename)` Loads a Groovy source file given its name.

### Method Detail

#### loadGroovySource

    java.net.URL loadGroovySource(java.lang.String filename)
                           throws java.net.MalformedURLException

Loads a Groovy source file given its name.

Parameters:
  `filename` - name of the file
Returns:
  a URL
Throws:
  `java.net.MalformedURLException` - if the URL is invalid